Unit SF43R_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF12_p, SF36R_p;

function SF43R(F :Real; AN1 :Real; AN2 :Real;
                var IERR :Integer): Real;

implementation

function SF43R(F :Real; AN1 :Real; AN2 :Real;
                var IERR :Integer): Real;
var
IERR1 :Integer;
FX,A,B,SF36D :Real;
const
SYS059 :Real = 3.4E38;
label
_1,_2,_3,_4,_5;
begin
{ Result -    SF43R  FORTRANe }
if ( F >= 0.0 ) 
 then goto _1;
IERR := 66;
Result := SYS059;
goto _4;
_1:
if ( (AN1 > 0.0) ) and ( (AN2 > 0.0) ) 
 then goto _2;
IERR := 65;
Result := SYS059;
goto _4;
_2:
IERR := 0;
if ( F > 0.0 ) 
 then goto _3;
Result := 0.0;
goto _5;
_3:
FX := AN2/(AN2+AN1*F);
A := 0.5*AN2;
B := 0.5*AN1;
Result := SF36R(FX,A,B,IERR1);
Result := 1.0-Result;
goto _5;
_4:
UTSF12(IERR,43);
_5:
exit;
end;

end.
